<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>JWebssh</title>
    <link rel='shortcut icon' type='image/x-icon' href='/static/image/favicon.ico'/>
    <link rel="stylesheet" href="/static/css/pure-min.css">
    <link href="/static/css/xterm.css" rel="stylesheet" type="text/css"/>
    <link rel='stylesheet' href='http://fonts.googleapis.com/css?family=PT+Sans:400,700'>
    <link rel="stylesheet" href="/static/css/reset.css">
    <link rel="stylesheet" href="/static/css/supersized.css">
    <link rel="stylesheet" href="/static/css/style.css">

    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
</head>

<body>

<div class="page-container" id="form" name="form" >
<h1>JWebssh</h1>
<form action="" method="post">
    <fieldset>
        <input id="terminalRow" name="terminalRow" type="hidden" value=100>
        <div class="pure-item">
            <input id="host" name="host" type="text" placeholder="Host" value=${host}>
        </div>
        <div class="pure-item">
            <input id="port" name="port" type="text" placeholder="Port" value=${port}>
        </div>
        <div class="pure-item">
            <input id="username" name="username" type="text" placeholder="Username" value=${username}>
        </div>
        <div class="pure-item">
            <input id="password" name="password" type="password" placeholder="Password" value=${password}>
        </div>
        <button type="button" onclick="connect()">Connect</button>
    </fieldset>
</form>
</div>

<div id="term" align="center"></div>

<!-- Javascript -->
<script src="/static/js/jquerymin.js"></script>
<script src="/static/js/supersized.3.2.7.min.js"></script>
<script src="/static/js/supersized-init.js"></script>
<script src="/static/js/base64.js"></script>
<script src="/static/js/jquerymin.js"></script>
<script src="/static/js/xterm.js"></script>
<script src="/static/js/ws.js"></script>
<script src="/static/js/formvalid.js"></script>
<script src="/static/js/main.js?${digest}"></script>

</body>

</html>